module StringMap = MyMap.Make(String)
type stable = (Stat.t * float * bool)  StringMap.t
type t = stable


let empty = StringMap.empty;;
let add = StringMap.add;;
let find key table = try StringMap.find key table with _ -> failwith "Stable.find";;
let find_key v table = try
    StringMap.find_key String.compare v table 
with _ -> failwith "Stable.find_key";;
let remove = StringMap.remove;;
let mem = StringMap.mem;;
let map = StringMap.map;;
let fold = StringMap.fold;;
let of_list = StringMap.of_list;;
let to_list = StringMap.to_list;;
let to_vals = StringMap.to_vals;;
let to_keys = StringMap.to_keys;;
let to_string = StringMap.to_string (function x -> x) Stat.to_string;;


let clear_update = 
    let f (s, time, _) = (s, time, false) in
    map f;;
