let r_update_interval= ref 10000;;


let parse_args () = 
    let spec_interval =
	let key = "-interval" and
	      spec = Arg.Set_int r_update_interval and
	      doc = "update interval (unit:milisecond)" in
	(key, spec, doc) in
    
    let specs =  [spec_interval ] in
    let anonfun x = () and
	usage_msg = "usage: lvd [options]" in
    Arg.parse specs anonfun usage_msg;;


let update_interval =
    let _ = parse_args () in
    !r_update_interval;;


