let print_stat  utable host = try
    let x = Stat.create utable in
    let s = Stat.pack x host in
(*    let tree = Tree.of_string s in
    let () = Tree.print tree in
    let x = try Stat.unpack tree with _ -> prerr_string "fail\n"; failwith "a" in *)
    begin
	print_string (s ^ "\n");
	flush stdout;
    end
with _ -> ();;


let rec loop  utable host =
    begin
	print_stat utable host;
	Unix.sleep (Lconfig.update_interval / 1000);
	loop utable host
    end;;


let get_hostname () =
    let s = Unix.gethostname () in 
    try
	let n = String.index s '.' in
	String.sub s 0 n
    with _ -> s;;


let main  () = 
    let utable = Utable.create () and
	host = get_hostname () in
    loop  utable host;;


let _ = main  ();;

