type proc = {
    pid		: Int32.t;
    comm	: string;
    state	: char;
    utime	: int;
    stime	: int;
    rss		: int;
    user	: string;
  }

type t = proc 

val create : Utable.t -> Int32.t -> t
val compare : t -> t -> int
val pack : t -> string
val unpack : string Tree.t -> t
