type stat = {
    ptable	: Ptable.t;
    load	: Load.t;
  }

type t = stat

val create : Utable.t -> t
val to_string : t -> string
val pack : t -> string -> string
val unpack : string Tree.t -> (string * t)

val save : t -> string -> unit
val load : string -> t
val diff : (string * (t * float * bool)) list ->
           (string * (t * float * bool)) list ->
           (string * (float * (float list)) * int) list
