let r_users = ref (Unix.getenv "USER");;
let r_disable_x = ref false;;

let parse_args () = 
    let spec_usernames =
	let key = "-users" and
	    spec = Arg.Set_string r_users and
	    doc = "usernames" in
	(key, spec, doc) in
    let spec_x =
	let key = "-x" and
	    spec = Arg.Set r_disable_x and
	    doc = "disable x window" in
	(key, spec, doc) in

    let specs = [spec_usernames; spec_x] in
    let anonfun x = () and
	usage_msg = "usage: lvd [options]" in
    Arg.parse specs anonfun usage_msg;;


let (users, disable_x) =
    let _ = parse_args () in
    let users = 
	let s = !r_users in
	Str.split (Str.regexp "[,]+") s 
    in
    (users, !r_disable_x);;
